Index: jobvista-frontend/src/utils/toastUtils.js
===================================================================
--- jobvista-frontend/src/utils/toastUtils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
+++ jobvista-frontend/src/utils/toastUtils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -0,0 +1,173 @@
+import { toast } from 'react-toastify';
+import 'react-toastify/dist/ReactToastify.css';
+
+
+export const notifyProfileEdit = () => {
+    toast.success(
+        <span>
+            Your details were successfully updated!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyProfilePicChange = () => {
+    toast.success(
+        <span>
+            Your profile picture was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyLogoChange = () => {
+    toast.success(
+        <span>
+            Your logo was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdEdit = () => {
+    toast.success(
+        <span>
+            Job advertisement updated successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdPost = () => {
+    toast.success(
+        <span>
+            Job advertisement posted successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdDelete = () => {
+    toast.success(
+        <span>
+            Job advertisement deleted successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyAppStatusUpdate = () => {
+    toast.success(
+        <span>
+            Status updated successfully!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyJobAdApply = () => {
+    toast.success(
+        <span>
+            Your application was successfully sent!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyAccessUpdate = (companyName) => {
+    toast.success(
+        <span>
+            {companyName}'s access was successfully changed!
+        </span>, {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        });
+}
+
+export const notifyIncorrectEmailOrPassword = () => {
+    toast.error(
+        <span>Incorrect email or password. Please try again.</span>,
+        {
+            position: "bottom-right",
+            autoClose: 5000,
+            hideProgressBar: false,
+            closeOnClick: true,
+            pauseOnHover: false,
+            draggable: true,
+            progress: undefined,
+            theme: "dark",
+            pauseOnFocusLoss: false
+        }
+    );
+}
Index: jobvista-frontend/src/utils/utils.js
===================================================================
--- jobvista-frontend/src/utils/utils.js	(revision b2488107b82c95e4bdfdfd18b76b44f023786601)
+++ jobvista-frontend/src/utils/utils.js	(revision 08f82ec612b1b125feec3dcd5c8c0f1062f09e18)
@@ -7,10 +7,4 @@
 }
 
-export const sortElementsBySubmissionDate = (array) => {
-    return array.slice().sort((a, b) => {
-        return new Date(b).getTime() - new Date(a.postedOn).getTime()
-    });
-}
-
 export const formatRelativeTime = (dateString) => {
     const date = new Date(dateString);
@@ -18,5 +12,4 @@
     const diffTime = now - date;
 
-    // Define time intervals in milliseconds
     const minute = 60 * 1000;
     const hour = minute * 60;
@@ -25,5 +18,4 @@
     const month = day * 30;
 
-    // Calculate the relative time
     if (diffTime < minute) {
         return 'just now';
